// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2022 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
/* 
 * File:   decorator_manager.h
 * Author: gleseach
 *
 * Created on 13 avril 2017, 15:55
 */

#ifndef DECORATOR_MANAGER_H
#define DECORATOR_MANAGER_H

class AnchorPoolNode;
class Pickable;
class SceneGraphController;

class DecoratorManager
{
public:
    DecoratorManager();
    ~DecoratorManager();

    void setSceneController(SceneGraphController* controller);
    void setObjectSelected(Pickable* pickable, bool status);

private:
    SceneGraphController* _sceneController;
};

#endif /* DECORATOR_MANAGER_H */
