// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2022 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
/* 
 * File:   particules_data.h
 * Author: gleseach
 *
 * Created on 28 avril 2017, 17:02
 */

#ifndef PARTICULES_DATA_H
#define PARTICULES_DATA_H

namespace OGL
{
    class Context;
    class Buffer;
    class VertexArrayObject;
    class DrawMode;
}

class DataSet;

class ParticulesData
{
public:
    ParticulesData();
    ~ParticulesData();

    void create(OGL::Context* ctx, DataSet* dataSet);
    void bind(OGL::Context* ctx);
    void draw(OGL::Context* ctx);

private:
    OGL::Buffer* _vertices_buffer;
    OGL::Buffer* _texcoords_buffer;
    OGL::Buffer* _displacement_buffer;
    OGL::VertexArrayObject* _vao;
    OGL::DrawMode* _drawMode;
};

#endif /* PARTICULES_DATA_H */
