// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2022 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef IDATA_STORE_H
#define IDATA_STORE_H

#include <set>
#include <string>

#include "core/types.h"
#include "core/structs.h"
#include "data/image.h"

namespace SEAScope
{
	class IDataStore
	{
		public:
			virtual ~IDataStore();

			virtual GranuleData& getDataBucket(const std::string& uri) = 0;
			virtual Image* getData(const std::string& uri, const std::set<std::string>& fields, DataInfo&, bool&) = 0;
			virtual bool hasData(const std::string& uri, const std::string& field) const = 0;
	};
};

#endif
