// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2022 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef BASE64_PNG_H
#define BASE64_PNG_H

#include <string>
#include "data/image.h"

namespace SEAScope
{
    class Base64PNG
    {
        public:
            Base64PNG();

            Base64PNG(const Base64PNG& other) = delete;
            /*
            Base64PNG(Base64PNG&& other) noexcept
                : _textureId(other._textureId), _pixels(other._pixels) {
                other._textureId = 0;
                other._pixels = nullptr;
            }
            */
            Base64PNG& operator=(const Base64PNG& other) = delete;
            /*
            Base64PNG& operator=(Base64PNG&& other) noexcept {
                std::swap(this->_textureId, other._textureId);
                this->_pixels = other._pixels;
                other._pixels = nullptr;
                return *this;
            }
            */
            ~Base64PNG() noexcept;

            bool load(const std::string&);

            const Image& getConstImage() const;
            Image& getImage();

            void getBase64(std::string&) const;

        protected:
            Image _image;
    };
}

#endif
