// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2022 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef SIDE_MENU_H
#define SIDE_MENU_H

#include "core/interfaces/iapp_events_subscriber.h"

namespace nanogui
{
    class Widget;
}

namespace SEAScope
{
    // Forward declarations
    class AppEvent;
    class AppEventsDispatcher;
    class NanoguiSideMenu;
    class NanoguiAboutMenu;
    class NanoguiMainMenu;

    class SideMenu: public virtual IAppEventsSubscriber
    {
        public:
            SideMenu(AppEventsDispatcher&, nanogui::Widget*, bool);
            virtual ~SideMenu() override;

            bool handleAppEvent(std::type_index, const AppEvent&) override;

            NanoguiMainMenu* getMainMenu() const;

        protected:
            AppEventsDispatcher& _appEventsDispatcher;

            NanoguiSideMenu* _ui;
            NanoguiAboutMenu* _aboutMenu;
            NanoguiMainMenu* _mainMenu;
            nanogui::Button* _catalogueButton;
            nanogui::Button* _aboutButton;
    };
}

#endif
