// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2022 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#include <CoreFoundation/CoreFoundation.h>
#include "platform/dialog_impl.h"

using namespace SEAScope;

/**
 *
 */
DialogImpl::DialogImpl()
{
}

/**
 *
 */
DialogImpl::~DialogImpl()
{
}

/**
 *
 */
bool DialogImpl::askYesNoQuestion(const std::string& prompt)
{
    CFStringRef message = CFStringCreateWithCString(
                                                    nullptr,
                                                    prompt.c_str(),
                                                    kCFStringEncodingUTF8);
    CFOptionFlags answer;
    CFUserNotificationDisplayAlert(
                                   0,
                                   kCFUserNotificationNoteAlertLevel,
                                   nullptr, nullptr, nullptr,
                                   CFSTR("SEAScope"),
                                   message,
                                   CFSTR("Yes"),
                                   CFSTR("No"),
                                   nullptr,
                                   &answer);
    CFRelease(message);
    return answer == kCFUserNotificationDefaultResponse;
}
