// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2022 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#include "ui/nanogui/nanogui_textfield.h"
#include "vendors/_glfw3.h"

using namespace SEAScope;

/**
 *
 */
NanoguiTextField::NanoguiTextField(nanogui::Widget* parent)
: nanogui::TextBox(parent, "")
{
    this->setEditable(true);
}

/**
 *
 */
NanoguiTextField::~NanoguiTextField()
{
}

/**
 *
 */
bool NanoguiTextField::keyboardEvent(int key, int scancode, int action, int modifiers)
{
    bool ok(false);
    if
        (  (false == this->mEditable)
        || (false == this->mEnabled))
    {
        return false;
    }

    ok = nanogui::TextBox::keyboardEvent(key, scancode, action, modifiers);

    if
        (GLFW_RELEASE == action)
    {
        this->mValue = this->mValueTemp;

        if
            (nullptr != this->mCallback)
        {
            this->mCallback(this->mValue);
        }
    }

    return ok;
}
