// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2022 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#include <iostream>
#include "platform/dialog_impl.h"

using namespace SEAScope;

/**
 *
 */
DialogImpl::DialogImpl()
{

}

/**
 *
 */
DialogImpl::~DialogImpl()
{
}

/**
 *
 */
bool DialogImpl::askYesNoQuestion(const std::string& prompt)
{
	char answer;	//

	std::cout << "\n\n\033[1;33m[User input required]" << "\033[0m\n";

	do
	{
		std::cout << "\033[1;34m" << prompt << "\033[0m" << std::endl;
		std::cout << "Your answer [y/n]: ";
		std::cin >> answer;
	}
	while (!std::cin.fail() && answer != 'y' && answer != 'n');


	return 'y' == answer;
}
