// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2022 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
#ifndef IDF_READER_H
#define IDF_READER_H

#include <ctime>
#include <set>
#include <map>
#include <string>
#include <cstdint>

#include "vendors/_netcdf.h"

#include "core/structs.h"

namespace SEAScope
{
	class IDFReader
	{
		public:
			IDFReader() = default;
			~IDFReader() = default;

			bool extractGranuleInfo(const std::string&, GranuleMetadata&) const;
			bool extractGranuleData(const std::string&, const std::set<std::string>&, DataModel, GranuleData&) const;
            netCDF::NcVarAtt readAttribute(netCDF::NcVar&, const std::string&, bool&) const;
            static std::time_t str2timestamp(const std::string&);
	};
};

#endif
