// This file is part of SEAScope, a 3D visualisation and analysis application
// for satellite, in-situ and numerical model data.
//
// Copyright (C) 2014-2022 OceanDataLab
//
// SEAScope is free software: you can redistribute it and/or modify it under
// the terms of the GNU Lesser General Public License as published by the Free
// Software Foundation, either version 3 of the License, or (at your option)
// any later version.
//
// SEAScope is distributed in the hope that it will be useful, but WITHOUT ANY
// WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
// FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
// details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with SEAScope. If not, see <https://www.gnu.org/licenses/>.
/**
 *
 */

#include "core/settings.h"
#include "local/embedded_catalogue.h"

using namespace SEAScope;

int main(int /*argc*/, char** argv)
{
	EmbeddedCatalogue* catalogue(nullptr);	//
	Settings settings;

	settings.dataPath = argv[1];

	catalogue = new EmbeddedCatalogue();
	catalogue->init(settings);
    catalogue->reset();

	delete catalogue;
	catalogue = nullptr;

    return 0;
};
